# Product Prices

### Get a product price

Use this endpoint if you want to get all the information for a specific product price.

`Method: GET`

`Endpoint: {{env}}/api/productprice/{product_price_id}`

{% tabs %}
{% tab title="First Tab" %}

```json
{
  "statusCode": 200,
  "message": "GET Request successful.",
  "isError": false,
  "result": {
    "Id": "8a306490-21c2-44d9-bb61-4ee6bf4f4e8c",
    "ProductId": "b4518805-b310-448b-8d6c-20a55e22a61d",
    "CreatedAt": "2021-10-27T19:18:12.95601",
    "ProductPriceType": "Standard",
    "ProductPriceStatus": "Active",
    "Price": 150,
    "PerUnit": 0,
    "Frequency": "OneTime",
    "EnableFreeTrial": false,
    "FreeTrialInDays": 0,
    "EnableSetupFee": false,
    "SetupFee": 0,
    "Currency": "CAD",
    "Product": {
      "Id": "b4518805-b310-448b-8d6c-20a55e22a61d",
      "Name": "gym",
      "ProductStatus": "Active",
      "CustomerId": "e9a6db53-1c9b-491d-9ecb-cfb6c6f3d035"
    }
  }
}
```

{% endtab %}
{% endtabs %}

**Response**

<table><thead><tr><th width="216.4000244140625">Parameter</th><th width="99">Type</th><th>Description</th></tr></thead><tbody><tr><td>Id</td><td>string</td><td>The Id for the product price</td></tr><tr><td>ProductId</td><td>string</td><td>The Id for the product on witch is related</td></tr><tr><td>CreatedAt</td><td>date</td><td>Creation date</td></tr><tr><td>ProductPriceType</td><td>string</td><td>Price Model</td></tr><tr><td>ProductPriceStatus</td><td>string</td><td>Status for the product price</td></tr><tr><td>Price</td><td>decimal</td><td>Price</td></tr><tr><td>PerUnit</td><td>string</td><td>Package size</td></tr><tr><td>Frequency</td><td>string</td><td>Price frequency</td></tr><tr><td>PlanName</td><td>string</td><td>Plan name</td></tr><tr><td>PlanDescription</td><td>string</td><td>Plan description</td></tr><tr><td>BillingPeriod</td><td>string</td><td>Billing Period Type</td></tr><tr><td>EnableSubscriptionEndDate</td><td>bool</td><td>Enable subscription end date</td></tr><tr><td>SubscriptionEndDate</td><td>date</td><td>End date that makes subscription available</td></tr><tr><td>EnableFreeTrial</td><td>bool</td><td>Enable free trial feature</td></tr><tr><td>FreeTrialInDays</td><td>int</td><td>Number of days for free trial</td></tr><tr><td>EnableSetupFee</td><td>bool</td><td>Enable setup fee</td></tr><tr><td>SetupFee</td><td>decimal</td><td>Number of days for free trial</td></tr><tr><td>Currency</td><td>string</td><td>Currency set for the product price</td></tr><tr><td><strong>Product</strong></td><td></td><td>Related product</td></tr><tr><td>Id</td><td>guid</td><td>Id for the Product</td></tr><tr><td>Name</td><td>string</td><td>Product name</td></tr><tr><td>Description</td><td>string</td><td>Product Description</td></tr><tr><td>ProductStatus</td><td>string</td><td>Product status</td></tr><tr><td>CustomerId</td><td>guid</td><td>Id for the related customer</td></tr></tbody></table>

### Delete a product price

Use this endpoint if you want to delete a specific price. You can only delete prices that are not being used on any active invoices or subscriptions.

`Method: DELETE`

`Endpoint: {{env}}/api/productprice/{product_price_id}`

{% tabs %}
{% tab title="Response" %}

```json
{
  "statusCode": 200,
  "message": "DELETE Request successful.",
  "isError": false,
  "result": ""
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**INFO**

You can only delete prices that are not being used on any active invoices or subscriptions
{% endhint %}

### Archive a product price

Use this endpoint if you want to archive a specific product price. Once archived, the product price will not be visible in any end user facing screens. If there are any active subscriptions or invoices they will remain until cancelled.

`Method: PATCH`

`Endpoint: {{env}}/api/productprice/{product_price_id}/archive`

{% tabs %}
{% tab title="Response" %}

```json
{
  "statusCode": 200,
  "message": "PATCH Request successful.",
  "isError": false,
  "result": {
    "Id": "40c6679f-454d-41fc-9f54-96d838063615",
    "ProductId": "ddf4d159-b524-4f6f-bd86-c47f6e7764f6",
    "CreatedAt": "2022-02-14T15:24:59.865516",
    "ProductPriceType": "Standard",
    "ProductPriceStatus": "Archived",
    "Price": 2.34,
    "PerUnit": 0,
    "Frequency": "OneTime",
    "EnableFreeTrial": false,
    "FreeTrialInDays": 0,
    "EnableSetupFee": false,
    "SetupFee": 0,
    "Currency": "CAD",
    "Product": {
      "Id": "ddf4d159-b524-4f6f-bd86-c47f6e7764f6",
      "Name": "Test",
      "Description": "Test",
      "ProductStatus": "Active",
      "CustomerId": "e9a6db53-1c9b-491d-9ecb-cfb6c6f3d035"
    }
  }
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="257">Parameter</th><th width="93">Type</th><th>Description</th></tr></thead><tbody><tr><td>Id</td><td>string</td><td>The Id for the product price</td></tr><tr><td>ProductId</td><td>string</td><td>The Id for the product on witch is related</td></tr><tr><td>CreatedAt</td><td>date</td><td>Creation date</td></tr><tr><td>ProductPriceType</td><td>string</td><td>Price Model</td></tr><tr><td>ProductPriceStatus</td><td>string</td><td>Status for the product price</td></tr><tr><td>Price</td><td>decimal</td><td>Price</td></tr><tr><td>PerUnit</td><td>string</td><td>Package size</td></tr><tr><td>Frequency</td><td>string</td><td>Price frequency</td></tr><tr><td>PlanName</td><td>string</td><td>Plan name</td></tr><tr><td>PlanDescription</td><td>string</td><td>Plan description</td></tr><tr><td>BillingPeriod</td><td>string</td><td>Billing Period Type</td></tr><tr><td>EnableSubscriptionEndDate</td><td>bool</td><td>Enable subscription end date</td></tr><tr><td>SubscriptionEndDate</td><td>date</td><td>End date that makes subscription available</td></tr><tr><td>EnableFreeTrial</td><td>bool</td><td>Enable free trial feature</td></tr><tr><td>FreeTrialInDays</td><td>int</td><td>Number of days for free trial</td></tr><tr><td>EnableSetupFee</td><td>bool</td><td>Enable setup fee</td></tr><tr><td>SetupFee</td><td>decimal</td><td>Number of days for free trial</td></tr><tr><td>Currency</td><td>string</td><td>Currency set for the product price</td></tr><tr><td><strong>Product</strong></td><td></td><td>Related product</td></tr><tr><td>Id</td><td>guid</td><td>Id for the Product</td></tr><tr><td>Name</td><td>string</td><td>Product name</td></tr><tr><td>Description</td><td>string</td><td>Product Description</td></tr><tr><td>ProductStatus</td><td>string</td><td>Product status</td></tr><tr><td>CustomerId</td><td>guid</td><td>Id for the related customer</td></tr></tbody></table>

### Unarchive a product price <a href="#unarchive-a-product-price" id="unarchive-a-product-price"></a>

Use this endpoint if you want to unarchive a specific product price. Once unarchive, the product price will be visible in any end user facing screens. If there are any active subscriptions or invoices they will remain until unaffected.

`Method: PATCH`

`Endpoint: {{env}}/api/productprice/{product_price_id}/unarchive`

{% tabs %}
{% tab title="Response" %}

```json
{
  "statusCode": 200,
  "message": "PATCH Request successful.",
  "isError": false,
  "result": {
    "Id": "40c6679f-454d-41fc-9f54-96d838063615",
    "ProductId": "ddf4d159-b524-4f6f-bd86-c47f6e7764f6",
    "CreatedAt": "2022-02-14T15:24:59.865516",
    "ProductPriceType": "Standard",
    "ProductPriceStatus": "Active",
    "Price": 2.34,
    "PerUnit": 0,
    "Frequency": "OneTime",
    "EnableFreeTrial": false,
    "FreeTrialInDays": 0,
    "EnableSetupFee": false,
    "SetupFee": 0,
    "Currency": "CAD",
    "Product": {
      "Id": "ddf4d159-b524-4f6f-bd86-c47f6e7764f6",
      "Name": "Test",
      "Description": "Test",
      "ProductStatus": "Active",
      "CustomerId": "e9a6db53-1c9b-491d-9ecb-cfb6c6f3d035"
    }
  }
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="256">Parameter</th><th width="101">Type</th><th>Description</th></tr></thead><tbody><tr><td>Id</td><td>string</td><td>The Id for the product price</td></tr><tr><td>ProductId</td><td>string</td><td>The Id for the product on witch is related</td></tr><tr><td>CreatedAt</td><td>date</td><td>Creation date</td></tr><tr><td>ProductPriceType</td><td>string</td><td>Price Model</td></tr><tr><td>ProductPriceStatus</td><td>string</td><td>Status for the product price</td></tr><tr><td>Price</td><td>decimal</td><td>Price</td></tr><tr><td>PerUnit</td><td>string</td><td>Package size</td></tr><tr><td>Frequency</td><td>string</td><td>Price frequency</td></tr><tr><td>PlanName</td><td>string</td><td>Plan name</td></tr><tr><td>PlanDescription</td><td>string</td><td>Plan description</td></tr><tr><td>BillingPeriod</td><td>string</td><td>Billing Period Type</td></tr><tr><td>EnableSubscriptionEndDate</td><td>bool</td><td>Enable subscription end date</td></tr><tr><td>SubscriptionEndDate</td><td>date</td><td>End date that makes subscription available</td></tr><tr><td>EnableFreeTrial</td><td>bool</td><td>Enable free trial feature</td></tr><tr><td>FreeTrialInDays</td><td>int</td><td>Number of days for free trial</td></tr><tr><td>EnableSetupFee</td><td>bool</td><td>Enable setup fee</td></tr><tr><td>SetupFee</td><td>decimal</td><td>Number of days for free trial</td></tr><tr><td>Currency</td><td>string</td><td>Currency set for the product price</td></tr><tr><td><strong>Product</strong></td><td></td><td>Related product</td></tr><tr><td>Id</td><td>guid</td><td>Id for the Product</td></tr><tr><td>Name</td><td>string</td><td>Product name</td></tr><tr><td>Description</td><td>string</td><td>Product Description</td></tr><tr><td>ProductStatus</td><td>string</td><td>Product status</td></tr><tr><td>CustomerId</td><td>guid</td><td>Id for the related customer</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zumrails.com/api-reference/product-prices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
